#ifndef SENSORGYRO_H
#define SENSORGYRO_H

struct SensorGyro {

	float x;
	float y;
	float z;

	/** empty ctor */
	SensorGyro() : x(0), y(0), z(0) {;}

	/** ctor with values */
	SensorGyro(const float x, const float y, const float z) : x(x), y(y), z(z) {;}

	SensorGyro operator + (const SensorGyro& o) const {
		return SensorGyro(x+o.x, y+o.y, z+o.z);
	}
	SensorGyro operator * (const float v) const {
		return SensorGyro(x*v, y*v, z*v);
	}

};

#endif // SENSORGYRO_H
